import { useEffect } from 'react';

export const useListenLibrary = () => {
  useEffect(() => {
    addLibraryItem();
  }, []);

  const addLibraryItem = async () => {
    const hash = window.location.hash; // 获取哈希值
    const addLibrary = hash.split('addLibrary=')[1];
    if (!addLibrary || addLibrary === 'undefined') {
      return;
    }
    const token = hash.split('token=')[1];
    console.log('addLibrary', addLibrary, token);
    const _fetchURL = decodeURIComponent(addLibrary);
    const fetchURL = _fetchURL.split('&')[0];

    console.log('fetchURL', fetchURL);
    const res = await fetch(fetchURL, {
      method: 'GET',
      mode: 'cors',
    });
    const data = await res.json();
    console.log('data', data);
  };
  return {
    addLibraryItem,
  };
};
