import { cn } from '@/lib/utils';
// import './Preview.css';

type Props = {
  children?: React.ReactNode;
  className?: string;
  style?: React.CSSProperties;
  [key: string]: any; // Allow any additional props
};
export const MarkdownPreview = (props: Props) => {
  return (
    <div className={cn('markdown-body scrollbar h-full overflow-auto px-6 py-2 max-w-[800px] border my-4 flex flex-col justify-self-center rounded-md shadow-md', props.className)} style={props.style}>
      {props.children}
    </div>
  );
};
